Loading...
Searching...
No Matches
pappso::IntegrationScopeBase Class Reference

`#include <integrationscopebase.h>`

Inheritance diagram for pappso::IntegrationScopeBase:

## Public Member Functions

| IntegrationScopeBase ()
| IntegrationScopeBase (const IntegrationScopeBase &other)
virtual | ~IntegrationScopeBase ()
virtual bool | getPoint (QPointF &point) const
virtual bool | getPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getLeftMostPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getLeftMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getLeftMostTopPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getLeftMostBottomPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getRightMostPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getRightMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getRightMostTopPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getRightMostBottomPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getTopMostPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getTopMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getBottomMostPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getBottomMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getRhombHorizontalSize (double &size) const
virtual IntegrationScopeFeatures | getRhombVerticalSize (double &size) const
virtual IntegrationScopeFeatures | getWidth (double &width) const
virtual IntegrationScopeFeatures | getHeight (double &height) const
virtual bool | range (Axis axis, double &start, double &end) const
virtual void | setDataKindX (DataKind data_kind)
virtual bool | getDataKindX (DataKind &data_kind)
virtual void | setDataKindY (DataKind data_kind)
virtual bool | getDataKindY (DataKind &data_kind)
virtual bool | is1D () const
virtual bool | is2D () const
virtual bool | isRectangle () const
virtual bool | isRhomboid () const
virtual bool | transpose ()
virtual bool | contains (const QPointF &point) const
virtual QString | toString () const
virtual void | reset ()

## Detailed Description

Definition at line 60 of file integrationscopebase.h.

## Constructor & Destructor Documentation

## IntegrationScopeBase() [1/2]

pappso::IntegrationScopeBase::IntegrationScopeBase | ( |  | ) |

Definition at line 21 of file integrationscopebase.cpp.

{
// qDebug() << "Constructing" << this;
}

## IntegrationScopeBase() [2/2]

pappso::IntegrationScopeBase::IntegrationScopeBase | ( | const IntegrationScopeBase & | other | ) |

Definition at line 27 of file integrationscopebase.cpp.

{
// qDebug() << "Constructing" << this;
}

## ~IntegrationScopeBase()

pappso::IntegrationScopeBase::~IntegrationScopeBase | ( |  | ) |

virtual

Definition at line 33 of file integrationscopebase.cpp.

{
// qDebug() << "Destructing" << this;
}

## Member Function Documentation

## contains()

bool pappso::IntegrationScopeBase::contains | ( | const QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 216 of file integrationscopebase.cpp.

{
return false;
}

## getBottomMostPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getBottomMostPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 119 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}
pappso::FAILURE
@ FAILURE
Definition integrationscopebase.h:48

References pappso::FAILURE.

## getBottomMostPoints()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getBottomMostPoints | ( | std::vector< QPointF > & | points | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 125 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getDataKindX()

bool pappso::IntegrationScopeBase::getDataKindX | ( | DataKind & | data_kind | ) |

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 174 of file integrationscopebase.cpp.

{
return false;
}

## getDataKindY()

bool pappso::IntegrationScopeBase::getDataKindY | ( | DataKind & | data_kind | ) |

virtual

Reimplemented in pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 180 of file integrationscopebase.cpp.

{
return false;
}

## getHeight()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getHeight | ( | double & | height | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 138 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getLeftMostBottomPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getLeftMostBottomPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 72 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getLeftMostPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getLeftMostPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, and pappso::IntegrationScopeRhomb.

Definition at line 53 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getLeftMostPoints()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getLeftMostPoints | ( | std::vector< QPointF > & | points | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 59 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getLeftMostTopPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getLeftMostTopPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 66 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getPoint()

bool pappso::IntegrationScopeBase::getPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, and pappso::IntegrationScopeRhomb.

Definition at line 40 of file integrationscopebase.cpp.

{
return false;
}

## getPoints()

bool pappso::IntegrationScopeBase::getPoints | ( | std::vector< QPointF > & | points | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 46 of file integrationscopebase.cpp.

{
return false;
}

## getRhombHorizontalSize()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRhombHorizontalSize | ( | double & | size | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 144 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getRhombVerticalSize()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRhombVerticalSize | ( | double & | size | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 150 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getRightMostBottomPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRightMostBottomPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 99 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getRightMostPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRightMostPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, and pappso::IntegrationScopeRhomb.

Definition at line 79 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getRightMostPoints()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRightMostPoints | ( | std::vector< QPointF > & | points | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 85 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getRightMostTopPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getRightMostTopPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 92 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getTopMostPoint()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getTopMostPoint | ( | QPointF & | point | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 106 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getTopMostPoints()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getTopMostPoints | ( | std::vector< QPointF > & | points | ) | const

virtual

Reimplemented in pappso::IntegrationScopeRhomb.

Definition at line 112 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## getWidth()

IntegrationScopeFeatures pappso::IntegrationScopeBase::getWidth | ( | double & | width | ) | const

virtual

Reimplemented in pappso::IntegrationScope, and pappso::IntegrationScopeRhomb.

Definition at line 132 of file integrationscopebase.cpp.

{
return IntegrationScopeFeatures::FAILURE;
}

References pappso::FAILURE.

## is1D()

bool pappso::IntegrationScopeBase::is1D | ( |  | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 186 of file integrationscopebase.cpp.

{
return false;
}

## is2D()

bool pappso::IntegrationScopeBase::is2D | ( |  | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 192 of file integrationscopebase.cpp.

{
return false;
}

## isRectangle()

bool pappso::IntegrationScopeBase::isRectangle | ( |  | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 198 of file integrationscopebase.cpp.

{
return false;
}

## isRhomboid()

bool pappso::IntegrationScopeBase::isRhomboid | ( |  | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 204 of file integrationscopebase.cpp.

{
return false;
}

## range()

bool pappso::IntegrationScopeBase::range | ( | Axis | axis,
|  | double & | start,
|  | double & | end
| ) |  | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 156 of file integrationscopebase.cpp.

{
return false;
}

## reset()

void pappso::IntegrationScopeBase::reset | ( |  | ) |

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 228 of file integrationscopebase.cpp.

{
}

Referenced by pappso::IntegrationScopeRhomb::reset().

## setDataKindX()

void pappso::IntegrationScopeBase::setDataKindX | ( | DataKind | data_kind | ) |

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 164 of file integrationscopebase.cpp.

{
}

## setDataKindY()

void pappso::IntegrationScopeBase::setDataKindY | ( | DataKind | data_kind | ) |

virtual

Reimplemented in pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 169 of file integrationscopebase.cpp.

{
}

## toString()

QString pappso::IntegrationScopeBase::toString | ( |  | ) | const

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 222 of file integrationscopebase.cpp.

{
return QString();
}

## transpose()

bool pappso::IntegrationScopeBase::transpose | ( |  | ) |

virtual

Reimplemented in pappso::IntegrationScope, pappso::IntegrationScopeRect, and pappso::IntegrationScopeRhomb.

Definition at line 210 of file integrationscopebase.cpp.

{
return false;
}

The documentation for this class was generated from the following files:

- pappsomspp/processing/combiners/integrationscopebase.h
- pappsomspp/processing/combiners/integrationscopebase.cpp